Method: projects.locations.authProviders.revokeAuthorization

Revokes all authorizations for a specific user on an auth provider. This deletes all authorization records associated with the user and auth provider, effectively revoking access across all agents.

HTTP request

POST https://agentidentity.googleapis.com/v1/{name=projects/*/locations/*/authProviders/*}:revokeAuthorization

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the auth provider. Format: projects/{project}/locations/{location}/authProviders/{authProvider}

Request body

The request body contains data with the following structure:

JSON representation
{
  "userId": string
}
Fields
userId

string

Required. The identity of the user to revoke authorization for.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • agentidentity.authProviders.revokeAuthorizations

For more information, see the IAM documentation.